Bug 15039 - BuildRequires: missed in spec
: BuildRequires: missed in spec
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/pinger)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-23 14:08 by
Modified: 2010-11-06 13:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-23 14:08:57
В спеке pinger-0.32c-alt1.1 нет никаких BuildRequires:, соответственно,
программа не собирается ни с ncurses, ни с gtk и при запуске говорит лишь, что
поддержка gtk не вкомпилирована (упоминаний ncurses не видел вообще).

Прописывание BuildRequires: libgtk+2-devel libncurses-devel в спеке решает
проблему - работают оба фронт-энда.

Также, подозреваю, надо в спеке поменять:
-%__ln_s %_libdir/consolehelper/helper %buildroot%_bindir/gtk%name
+%__ln_s %_libexecdir/consolehelper/helper %buildroot%_bindir/gtk%name

Поменял, проверил, у меня работает.
------- Comment #1 From 2008-03-24 23:34:47 -------
Тогда уж и
-%__ln_s
+ln -s
:)

(см. тж. cleanup_spec из rpm-utils и rpmcs из etersoft-build-utils)
------- Comment #2 From 2010-11-06 13:33:08 -------
Пакета в сизифе больше нет.